summarylogtreecommitdiffstats
path: root/install.sh.wrapper
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh.wrapper')
-rwxr-xr-xinstall.sh.wrapper14
1 files changed, 14 insertions, 0 deletions
diff --git a/install.sh.wrapper b/install.sh.wrapper
new file mode 100755
index 000000000000..4eaa5bcdcaff
--- /dev/null
+++ b/install.sh.wrapper
@@ -0,0 +1,14 @@
+#!/usr/bin/env sh
+set -e
+
+if [[ "$(whoami)" != "$(logname)" ]]; then
+ echo >&2 'This command will install files into your' \
+ 'home directory. It must be run without sudo.'
+ exit 1
+fi
+
+cp -ruvP --preserve=mode,links -t ~/ \
+ "/usr/share/bash-it-git/home_factory/.bash_it"
+
+cd ~/.bash_it
+./install.sh "$@"